summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-06-21 22:41:22 +0000
committer Eric Hameleers <alien@slackware.com>2007-06-21 22:41:22 +0000
commit510a3e9563dfb83df298b760a7be876d848b069b (patch)
tree8f074c44ccf03d98f134c8f8a2352dae6e9a0e2d
parentedd98426fb4e33e6c10170e5568f2f697e768fd5 (diff)
downloadasb-510a3e9563dfb83df298b760a7be876d848b069b.tar.gz
asb-510a3e9563dfb83df298b760a7be876d848b069b.tar.xz
Install into /bin , /sbin , /lib
-rwxr-xr-xfuse/build/fuse.SlackBuild24
1 files changed, 14 insertions, 10 deletions
diff --git a/fuse/build/fuse.SlackBuild b/fuse/build/fuse.SlackBuild
index 928424cb..c440355a 100755
--- a/fuse/build/fuse.SlackBuild
+++ b/fuse/build/fuse.SlackBuild
@@ -31,6 +31,8 @@
# * Update so I can use it on 2.6.19+ kernels. Also, better detection
# of the correct rc.modules to use. Make 'suid-root'ing the
# fusermount binary configurable high up in the SlackBuild.
+# 2.6.5-1: 22/jun/2007 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -43,7 +45,7 @@
PRGNAM=fuse
PRGNAM2=fuse-module
-VERSION=${VERSION:-2.6.3}
+VERSION=${VERSION:-2.6.5}
ARCH=${ARCH:-i486}
BUILD=1
@@ -58,8 +60,8 @@ BINPERM=4755
# -----------------------------------------------------------------------
# Where do we look for sources?
-CWD=`pwd`
-SRCDIR=`dirname $0`
+CWD=$(pwd)
+SRCDIR=$(dirname $0)
[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
@@ -89,7 +91,7 @@ SRCURL="http://dl.sourceforge.net/${PRGNAM}/${PRGNAM}-${VERSION}.tar.gz"
##
# Slackware 11 and up need other option (gcc > 3.3.x)
-if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
+if [ $(gcc -dumpversion | tr -d '.' |cut -c 1-2) -gt 33 ]; then
MOPT=tune
else
MOPT=cpu
@@ -128,17 +130,17 @@ mkdir -p $OUTPUT # place for the package to be saved
if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
echo "Source '${SOURCE}' not available yet..."
- echo "Will download file to `dirname $SOURCE`"
+ echo "Will download file to $(dirname $SOURCE)"
wget -nv -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 ]; then
- echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
@@ -156,7 +158,7 @@ echo "++"
cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
-if `file ${SOURCE} | grep -q ": bzip2"`; then
+if $(file ${SOURCE} | grep -q ": bzip2"); then
tar -xjvf ${SOURCE}
else
tar -xzvf ${SOURCE}
@@ -169,6 +171,8 @@ echo Building ...
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
+ --exec-prefix=/ \
+ --libexecdir=/usr/libexec \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--sysconfdir=/etc \
@@ -186,7 +190,7 @@ make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
# Install all the needed stuff to the package dir
# Use installwatch if available:
-if `which installwatch > /dev/null 2>&1`; then
+if $(which installwatch > /dev/null 2>&1); then
installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log